module.exports = {
  prod: {
    //user
    'user/index': './js/user/index.js',
    'user/login': './js/user/login.js',
    'user/signIn': './js/user/signIn.js',
    'user/certify': './js/user/certify.js',
    'user/groupCertify': './js/user/groupCertify.js',
    //user-account
    'user/account/index': './js/user/account/index.js',
    'user/account/set': './js/user/account/set.js',
    'user/account/services': './js/user/account/services.js',
    //admin
    'admin/index': './js/admin/index.js',
    'admin/login': './js/admin/login.js',
    'admin/userManage': './js/admin/userManage.js',
    //admin-servicesManage
    'admin/servicesManage/patent': './js/admin/servicesManage/patent.js',
    'admin/servicesManage/copyright': './js/admin/servicesManage/copyright.js',
    'admin/servicesManage/highTech': './js/admin/servicesManage/highTech.js'
  },
  watch: {
    'user/index': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/user/index.js'
    ],
    'user/login': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/user/login.js'
    ],
    'user/signIn': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/user/signIn.js'
    ],
    'user/certify': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/user/certify.js'
    ],
    'user/groupCertify': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/user/groupCertify.js'
    ],
    //user-account
    'user/account/index': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/user/account/index.js'
    ],
    'user/account/set': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/user/account/set.js'
    ],
    'user/account/services': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/user/account/services.js'
    ],
    //admin
    'admin/index': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/admin/index.js'
    ],
    'admin/login': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/admin/login.js'
    ],
    'admin/userManage': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/admin/userManage.js'
    ],
    'admin/servicesManage/patent': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/admin/servicesManage/patent.js'
    ],
    'admin/servicesManage/copyright': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/admin/servicesManage/copyright.js'
    ],
    'admin/servicesManage/highTech': ['webpack-dev-server/client?http://127.0.0.1:80', // WebpackDevServer host and port
      'webpack/hot/only-dev-server',
      './js/admin/servicesManage/highTech.js'
    ]
  }
}